From 6328c7652e4d7fda9872a555d31658e54b7b0e6e Mon Sep 17 00:00:00 2001
From: thequackdaddy <pquack@gmail.com>
Date: Sun, 28 Oct 2018 19:38:08 -0500
Subject: [PATCH] MAINT: A few python 3.7 fixes

---
 patsy/constraint.py     | 5 ++++-
 tools/check-API-refs.py | 2 +-
 3 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/patsy/constraint.py b/patsy/constraint.py
index ca9f6e2..d710a94 100644
--- a/patsy/constraint.py
+++ b/patsy/constraint.py
@@ -10,7 +10,10 @@
 __all__ = ["LinearConstraint"]
 
 import re
-from collections import Mapping
+try:
+    from collections.abc import Mapping
+except ImportError:
+    from collections import Mapping
 import six
 import numpy as np
 from patsy import PatsyError
diff --git a/tools/check-API-refs.py b/tools/check-API-refs.py
index 8e9e8a1..9349028 100644
--- a/tools/check-API-refs.py
+++ b/tools/check-API-refs.py
@@ -9,7 +9,7 @@
 root = dirname(dirname(abspath(__file__)))
 patsy_ref = root + "/doc/API-reference.rst"
 
-doc_re = re.compile("^\.\. (.*):: ([^\(]*)")
+doc_re = re.compile("^\\.\\. (.*):: ([^\\(]*)")
 def _documented(rst_path):
     documented = set()
     for line in open(rst_path):
